Indesign CS4 Developer

New Here ,
Jul 11, 2020 Jul 11, 2020

Copy link to clipboard

Copied

It's beeen sometime since i've opened up InDesignbut I now want to use it and for InDesign CS4 version 6.0.3.557 I get the following message - 

"The developer of this app needs to update it to work with this version of macOS. Contact the developer for more information."

 

I'm using MacOS Catalina version 10.15.5, so my question is who is the developer and how do I get them to update my version of InDesign, so that it works with my version of macOS?

 

TOPICS
How to

Views

115

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 2 Correct Answers

Adobe Community Professional , Jul 11, 2020 Jul 11, 2020
It means that, as you have a modern OS, you need a recent version (2020) of InDesign. You need a monthly or yearly subscription nowadays. If you only want to use InDesign occasionally, you can pay a bit more and use and pay for it for the month(s) you need it.

Likes

translate

Translate

Translate
Most Valuable Participant , Jul 12, 2020 Jul 12, 2020
Apple made Catalina to block all old apps. Old apps are useless now. Apple need you to buy all new apps. CS4 is 12 years old.

Likes

translate

Translate

Translate
Most Valuable Participant ,
Jul 11, 2020 Jul 11, 2020

Copy link to clipboard

Copied

That is a 32 bit app and you cannot use it under 10.15.

Sorry, but you've reached the end of the line.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Jul 11, 2020 Jul 11, 2020

Copy link to clipboard

Copied

Thank you for your help BobLevine, I appreciate you answering it, even though I don't understand the first part of it, I'll go away and do some research, so that I can. 

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Jul 11, 2020 Jul 11, 2020

Copy link to clipboard

Copied

It means that, as you have a modern OS, you need a recent version (2020) of InDesign.

You need a monthly or yearly subscription nowadays. If you only want to use InDesign occasionally, you can pay a bit more and use and pay for it for the month(s) you need it.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Most Valuable Participant ,
Jul 12, 2020 Jul 12, 2020

Copy link to clipboard

Copied

Apple made Catalina to block all old apps. Old apps are useless now. Apple need you to buy all new apps. CS4 is 12 years old.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Jul 20, 2020 Jul 20, 2020

Copy link to clipboard

Copied

Hi there,

 

I'm hoping that the issue is resolved for you. 

If any of the above-mentioned solutions or suggestions helped, please mark them correct.

If not, do let us know so that we can assist you further.

 

Regards,

Sheena

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines